waterfox(1)

NAME
waterfox - customizable privacy-conscious web browser with primary support for webextensions and secondary support for legacy extensions

SYNOPSIS
waterfox [OPTIONS] [URL]

DESCRIPTION
Waterfox focuses on giving users choice. The browser is focused on power users, which lets you make the important decisions. There is no plugin whitelist (meaning you can run Java Applets and Silverlight apps), you can run whichever extensions you like (including modified bootstrapped add-ons that can completely change functionality of the browser) and absolutely no data or telemetry is sent back to Mozilla or the Waterfox project.

OPTIONS
A summary of the options supported by waterfox is included below.

  X11 options

--display=DISPLAY
    X display to use

--sync
    Make X calls synchronous

--g-fatal-warnings
    Make all warnings fatal

  Waterfox options

-h, -help
    Show summary of options.

-v, -version
    Print Waterfox version.

-P profile
    Start with profile.

--profile path
    Start with profile at path.

--migration
    Start with migration wizard.

--ProfileManager
    Start with ProfileManager.

--no-remote
    Do not accept or send remote commands; implies --new-instance.

--new-instance
    Open new instance, not a new window in running instance.

--UILocale locale
    Start with locale resources as UI Locale.

--safe-mode
    Disables extensions and themes for this session.

--headless
    Run without a GUI.

--marionette
    Enable remote control server.

--browser
    Open a browser window.

--new-window url
    Open url in a new window.

--new-tab url
    Open url in a new tab.

--private-window url
    Open url in a new private window.

--preferences
    Open Preferences dialog.

--search term
    Search term with your default search engine.

--jsconsole
    Open the Browser Console.

--jsdebugger
    Open the Browser Toolbox.

--wait-for-jsdebugger
    Spin event loop until JS debugger connects. Enables debugging (some) application startup code paths. Only has an effect when --jsdebugger is also supplied.

--devtools
    Open DevTools on initial load.

--start-debugger-server [ws:][port|path]
    Start the debugger server on a TCP port or Unix domain socket path. Defaults to TCP port 6000. Use WebSocket protocol if ws: prefix is specified.

--recording file
    Record drawing for a given URL.

--recording-output file
    Specify destination file for a drawing recording.

--setDefaultBrowser
    Set this app as the default browser.

FILES
/usr/bin/waterfox - shell script wrapping waterfox
/usr/lib/waterfox-g/waterfox-g - Waterfox executable

BUGS
To report a bug, please visit https://www.reddit.com/r/waterfox/ or https://github.com/WaterfoxCo/Waterfox/issues

AUTHOR
This manual page was written by hawkeye116477, based on Mozilla Firefox's manpage.